Debian Bug report logs - #673455
please drop Qt3 b-d

version graph

Package: kdiff3; Maintainer for kdiff3 is Eike Sauer <eike@debian.org>; Source for kdiff3 is src:kdiff3.

Reported by: Ana Guerrero <ana@debian.org>

Date: Fri, 18 May 2012 19:30:01 UTC

Severity: normal

Found in version kdiff3/0.9.96-2

Fixed in version kdiff3/0.9.96-3

Done: Eike Sauer <eike@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ana@debian.org, Eike Sauer <eike@debian.org>:
Bug#673455; Package kdiff3. (Fri, 18 May 2012 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
New Bug report received and forwarded. Copy sent to ana@debian.org, Eike Sauer <eike@debian.org>. (Fri, 18 May 2012 19:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please drop Qt3 b-d
Date: Fri, 18 May 2012 21:28:05 +0200
Package: kdiff3
Version: 0.9.96-2
Severity: normal

Hi,

kdiff3 build depends on qt3-dev-tools-compat that belongs to Qt3 for
generating the translation files.
Qt3 is being removed from the archive, so please switch to the Qt4
version.
I haven't tried but:
 lrelease foo.ts -qm foo.qm
from qt4-linguist-tools should work instead.

Ana




Reply sent to Eike Sauer <eike@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 18:51:16 GMT) Full text and rfc822 format available.

Notification sent to Ana Guerrero <ana@debian.org>:
Bug acknowledged by developer. (Sat, 19 May 2012 18:51:16 GMT) Full text and rfc822 format available.

Message #10 received at 673455-close@bugs.debian.org (full text, mbox):

From: Eike Sauer <eike@debian.org>
To: 673455-close@bugs.debian.org
Subject: Bug#673455: fixed in kdiff3 0.9.96-3
Date: Sat, 19 May 2012 18:48:59 +0000
Source: kdiff3
Source-Version: 0.9.96-3

We believe that the bug you reported is fixed in the latest version of
kdiff3, which is due to be installed in the Debian FTP archive:

kdiff3-doc_0.9.96-3_all.deb
  to main/k/kdiff3/kdiff3-doc_0.9.96-3_all.deb
kdiff3-qt_0.9.96-3_amd64.deb
  to main/k/kdiff3/kdiff3-qt_0.9.96-3_amd64.deb
kdiff3_0.9.96-3.debian.tar.gz
  to main/k/kdiff3/kdiff3_0.9.96-3.debian.tar.gz
kdiff3_0.9.96-3.dsc
  to main/k/kdiff3/kdiff3_0.9.96-3.dsc
kdiff3_0.9.96-3_amd64.deb
  to main/k/kdiff3/kdiff3_0.9.96-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673455@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eike Sauer <eike@debian.org> (supplier of updated kdiff3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 May 2012 15:00:00 +0200
Source: kdiff3
Binary: kdiff3 kdiff3-qt kdiff3-doc
Architecture: source all amd64
Version: 0.9.96-3
Distribution: unstable
Urgency: low
Maintainer: Eike Sauer <eike@debian.org>
Changed-By: Eike Sauer <eike@debian.org>
Description: 
 kdiff3     - compares and merges 2 or 3 files or directories
 kdiff3-doc - documentation for kdiff3
 kdiff3-qt  - compares and merges 2 or 3 files or directories -  Qt version
Closes: 673455
Changes: 
 kdiff3 (0.9.96-3) unstable; urgency=low
 .
   * Dropped dependency on qt3-dev-tools-compat (closes: #673455)
   * Standards version now 3.9.3
   * Machine readable debian/copyright file
   * Hardening flags (AFAICT, the lintian warnings on this are wrong)
Checksums-Sha1: 
 ce435f04490d1ef11ca21e45c68b8780cfea7172 1371 kdiff3_0.9.96-3.dsc
 5066a4a8d61b1f4b0f09813905c2645162862a29 18898 kdiff3_0.9.96-3.debian.tar.gz
 9918a638a8c62f2b1fe2401811728d597808e5ce 725286 kdiff3-doc_0.9.96-3_all.deb
 ae1e3f03bb11e6f0a9ea2c60cf0fb8e888039bff 1327224 kdiff3_0.9.96-3_amd64.deb
 e4745ff4b9b9970bfcea1dfabfb7bd2c3eb7e3c5 1244188 kdiff3-qt_0.9.96-3_amd64.deb
Checksums-Sha256: 
 7c202eda074c5331216cd18d34900c8916baa723c7817baade5fc4c46fb0f949 1371 kdiff3_0.9.96-3.dsc
 3a9909263da9f88205cf398e9a6cbcece41b5fc1d697cba6d1edbbf94a444f67 18898 kdiff3_0.9.96-3.debian.tar.gz
 ea0d518d36bd4399007a6cb28803dae86a7e0046e2e80bcafd992dcf0a64de7b 725286 kdiff3-doc_0.9.96-3_all.deb
 f32146c5274f8a4e6c75834c2d1f60d3dfcba0f1944cab1fe2916e61a7be19b7 1327224 kdiff3_0.9.96-3_amd64.deb
 94e20e7ee841f99cb5b7360c6debbab0d46feca44d2084a50fbcec8ed56443a7 1244188 kdiff3-qt_0.9.96-3_amd64.deb
Files: 
 04cae9a63344c85fb5ce882effd4af5a 1371 kde optional kdiff3_0.9.96-3.dsc
 386d89f74edf9d998eface0082d5c243 18898 kde optional kdiff3_0.9.96-3.debian.tar.gz
 2d6ba2bbac64aee24ba62cfb59e48a47 725286 doc optional kdiff3-doc_0.9.96-3_all.deb
 45bfaa8b19e4b4b9ad56442efa861299 1327224 kde optional kdiff3_0.9.96-3_amd64.deb
 136795e67cfbd3e16590e89d5081d1db 1244188 devel optional kdiff3-qt_0.9.96-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+35twACgkQw/ijomqDM8bneACePVyBg76XrTQKtBD5/NJe/Aip
sVEAn0HKQUoZT6LrSLlqSS8zzUWyAHaS
=m2Ox
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Jul 2012 07:30:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:26:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.